menu_bt:
  label: Button cols
  namespace: Organisms/TM - Menus
  use: '@organisms/tm-menu/menu-bt/menu-bt.twig'
  description: Button cols
  libraries:
    - menu_bt_lib:
        css:
          component:
            ../styles/menu-bt.css: {}

  fields:
    mid:
      type: text
      label: Menu ID
      description: Menu ID
      preview: my-menu
    links:
      type: object
      label: Items
      preview:
        - lid: _1
          title: Stansted Express
          url: /
          icon: fas fa-star
          active: true
        - lid: _2
          title: Transparency
          url: /
          icon: fas fa-user
        - lid: _3
          title: Privacy Policy
          url: /
          icon: fas fa-cogs
        - lid: _4
          title: Keeping you Safe and Secure
          url: /
          icon: fas fa-credit-card

  settings:
    wrapper_attributes:
      type: attributes
      label: Attributes for the menu wrapper
    wrapper_class:
      type: textfield
      label: Wrapper classes
    cols:
      type: textfield
      default_value: 2
      preview: 2
    row_classes:
      type: textfield
      label: Row classes
    col_classes:
      type: textfield
      label: Column classes
    button_classes:
      type: textfield
      label: Button classes
    size:
      type: select
      required: true
      label: Size
      preview: md
      options:
        md: Normal
        sm: Small
        lg: Large
    outline:
      type: boolean
      label: Outline
    expanded:
      type: boolean
      label: Expanded
    status:
      type: select
      required: true
      label: Status
      preview: primary
      description: Choose your color
      options:
        default: Default Branded
        primary: Primary
        secondary: Secondary
        success: Success
        danger: Danger
        warning: Warning
        info: Info
        light: Light
        dark: Dark
        none: None

  variants:
    __default:
      label: Default
    your_journey:
      label: Your Journey
      settings:
        wrapper_class: 'imbtnav-wrapper imbtnav'
        row_classes: 'imbtnav'
        expanded: true
        status: 'default'
        size: 'lg'
        cols: 4
        col_classes: 'col-lg-3 col-md-6 col-6 btn-col'
